\begin{frame}{Our Modification of the Maximum Flow Problem}
	\begin{block}{What we will do}
		Model the flow of monetary resources from operational budgets through the architecture, and optimize towards minimal costs. 
	\end{block}

	\pause
	
	\begin{exampleblock}{Maximum Flow Problem}
		\textbf{Objective:} $\max \sum_{e \in \mathcal{E}} F(e)$ with $F(e) \in \mathbb{R}_+$\\
		\textbf{Subject to:} $F(e) \leq c_e$ 
		\textbf{and} $\sum F(i,k) = \sum F(k,j) \quad \forall k \in \mathcal{V}$
	\end{exampleblock}
\end{frame}

\begin{frame}[plain]
	\centering
	\includegraphics[height=0.8\paperheight]{figures/graph_model_abstract.pdf}
\end{frame}


\begin{frame}{Applying the Optimization Model - Example}
	\only<1>{
		\begin{figure}
			\includegraphics[height=0.95\textheight]{figures/graph_model_example.pdf}
			%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
		\end{figure}
	}
	\only<2>{
		\begin{figure}
			\includegraphics[height=0.95\textheight]{figures/graph_model_example_solution.pdf}
			%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
		\end{figure}
	}
\end{frame}
